import { Signal } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
/**
 * Acquire a signal of the `ActivatedRoute` object of the
 * direct child route of the current route.
 *
 * @remarks
 * Requires an Injection Context.
 * Depends on `Router` and `ChildrenOutletContexts`.
 *
 * @param outlet the name of the route outlet to target,
 * defaults to name of the default outlet
 */
export declare function useChildActivatedRoute(outlet?: string): Signal<ActivatedRoute | null>;
